[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#536312: task overrides for stable appear to be updated when unstable changes -> no network-manager etc in default debian 5.0r2 install



Here's an (untested) patch that should avoid this issue for the future.
It determines the codename for testing from the testing symlink.

A manual cleanup for the current incorrect override files (for both lenny 
and squeeze) will still be needed of course.

Cheers,
FJP

--- mk-extra-overrides.sh.orig  2009-07-10 08:34:29.000000000 +0000
+++ mk-extra-overrides.sh       2009-07-10 08:51:53.000000000 +0000
@@ -5,8 +5,23 @@

 x="build-essential tag task"
 opath="/org/ftp.debian.org/scripts/override"
+apath="/org/ftp.debian.org/ftp/dists"

-for s in lenny sid; do
+if [ ! -d "$apath" ]; then
+  echo "$0: invalid path to archive" >&2
+  exit 1
+elif [ ! -L "$apath/testing" ]; then
+  echo "$0: symlink for testing suite does not exist >&2"
+  exit 1
+fi
+
+codename_testing="$(basename "$(readlink "$apath/testing")")"
+if [ -z "$codename_testing" ] || [ ! -d "$apath/$codename_testing" ]; 
then
+  echo "$0: invalid codename for testing suite ('$codename_testing')" >&2
+  exit 1
+fi
+
+for s in "$codename_testing" sid; do
   for c in main contrib non-free; do
     echo "Making $opath/override.$s.extra.$c"
     if [ "$c" = "main" ]; then


Reply to: